- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QRunnable Class Reference

Search for all occurrences

## Detailed Description

Definition at line 52 of file qrunnable.h.

`#include <qrunnable.h>`

Inheritance diagram for QRunnable:
[legend]

List of all members.

## Public Member Functions
virtual void | run ()=0
| QRunnable ()
virtual | ~QRunnable ()
bool | autoDelete () const
void | setAutoDelete (bool _autoDelete)
## Friends
class | QThreadPool
class | QThreadPoolPrivate
class | QThreadPoolThread

## Constructor & Destructor Documentation

QRunnable | ( |  | ) | `[inline]`

Definition at line 63 of file qrunnable.h.

    : ref(0) { }

virtual ~QRunnable | ( |  | ) | `[inline, virtual]`

Definition at line 64 of file qrunnable.h.

    { }

## Member Function Documentation

virtual void run | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in RunFunctionTaskBase< T >, RunFunctionTask< T >, RunFunctionTask< void >, and RunFunctionTaskBase< void >.

bool autoDelete | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 66 of file qrunnable.h.

    { return ref != -1; }

void setAutoDelete | ( | bool | _autoDelete | ) | `[inline]`

Search for all occurrences

Definition at line 67 of file qrunnable.h.

    { ref = _autoDelete ? 0 : -1; }

## Friends And Related Function Documentation

friend class QThreadPool `[friend]`

Search for all occurrences

Definition at line 56 of file qrunnable.h.

friend class QThreadPoolPrivate `[friend]`

Search for all occurrences

Definition at line 57 of file qrunnable.h.

friend class QThreadPoolThread `[friend]`

Search for all occurrences

Definition at line 58 of file qrunnable.h.

The documentation for this class was generated from the following file:

- QtCore/qrunnable.h

QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable
QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable QRunnable